Subject: Re: scope of group

From: [email-masked] (Joseph P. Macker)
Date: Tue, 19 Mar 96 10:17:23 EST

>> Other issues:
>> 
>> o routing should be "independent" of the link layer.  An API should be
>>   defined between the two layers.
>
>If it's a routing protocol, an API may not be needed.  Besides,
>the IETF "doesn't do" APIs.
API is probably not the right term.  How about functional interface
specifications?  As Charlie says, porarbably isn't needed for all link
layer media.  Certainly, the IETF does interface definitions where
necessary (e.g., IntServ, RSVP, etc).  I would also think this would be a
second priority and something that may be driven by candidate
implementations per media (ala PPP extensions).
>
>> Sticky issues:
>> 
>> o security
>
>Security is always sticky.  But if we assume manual distribution
>of a symmetric or group key, we can use the same authentication
>and/or privacy mechanisms already being implemented elsewhere.
>Do we really need to get into the key distribution problem yet?

Agreed....Maybe just say we'll work with IPSEC to see if there are any
unique requirements.

>
>> o operation at the boundary/intersection of two mobile mesh nets.
>
>This is indeed a problem.
>
>> Any comments/questions regarding the preceding?
>
>I'd like to suggest discussion on the appropriateness of
>"mobile mesh" as a name for the working group.  "Ad-hoc"
>networking is something I'm more used to, and for multiple reasons
>seems more natural to me.  A "mesh" is a somewhat more "regular"
>kind of connectivity than what I'm imagining, and seems to imply
>more permanence of the links than "ad-hoc" implies.  Another candidate
>might be "instant infrastructure", although that term seems a little
>grandiose to me.

How 'bout "Snap,Crackle,Pop routing" ;-)? I agree that in other literature
"mesh" has the connotation of a more "regular" topology.  I would be in
favor of a better name ... any other thoughts.

>> -Scott
>Charlie P.

    _/      _/ _/_/_/_/  _/       Joseph P. Macker, Code 5544
   _/_/    _/ _/     _/ _/        Naval Research Laboratory
  _/  _/  _/ _/_/_/_/  _/         Center for High Assurance Computer Systems
 _/    _/_/ _/   _/   _/          [email-masked]
_/      _/ _/     _/ _/_/_/_/     http://tonnant.itd.nrl.navy.mil/macker.html

---

From: "M. Scott Corson" <[email-masked]>
Date: Thu, 21 Mar 1996 18:17:15 -0500 (EST)

> Agreed....Maybe just say we'll work with IPSEC to see if there are any

Sounds good.

> favor of a better name ... any other thoughts.

As I mentioned earlier, I guess it depends on the literature.
In graph theory, a mesh topology is about as unstructured as things get.

-Scott